#include <stdio.h>
#include <stdlib.h>

/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char *argv[]) {
	
	unsigned long int K;
	scanf("%d",&K);
	int br=0;
	long int tacka[2000][2];
	
	int k=1,i,j;
	tacka[0][0]=0;
	tacka[0][1]=k*tacka[0][0]+1;
	
	for(i=1;i<=K;i++){
		j=0;
		br++;
		while(j<2){	
			tacka[i][0]=k;
			tacka[i][1]=k*tacka[i][0]+1;
			br++;
			i++;
			k++;
			j++;
		}
		
		k++;
	}
	
	printf("%d\n",br);
	for(i=0;i<br;i++)
		printf("%d %d\n",tacka[i][0],tacka[i][1]);
	
	return 0;
}